Other: Resource notification

Maintained by Picture of Guillaume Allègre Guillaume Allègre
This Moodle plugin allows a teacher to notify course students by internal messaging when a new resource/activity is created or modified into a course.
136 downloads
11 fans

 Purpose
This Moodle plugin allows a teacher to notify course students by messaging
when a new resource/activity is created or modified into a course.

The notification is activated by an action performed by the teacher.
This new action is shown in a new entry at the end of the Edit dropdown menu,
available for each resource or activity, on a course page.

The notification message contains two links by default, one to the resource, and the other to the course.
The Moodle admin can modify this default setting.
The teacher can change the text to send.                                                                                       

The teacher can control who the message is sent to, by default all the users enrolled
into the course and allowed to view the resource.
The notification conforms to resource access restrictions such as course groups.

Requirements
Moodle 3.0 is required.
Moodle has changed the way it loads plugins with its 3.1 version. The new API was introduced in Moodle 3.0, hence the requirements.

Installation

  • Unpack or `git clone` under `local/`.
  • Install the plugin into Moodle with either by typing `php admin/cli/upgrade.php` (CLI) or by visiting '/admin/index.php' (web).


Credits
This plugin was developped by Silecs and initially sponsored by Université Paris 1 Panthéon-Sorbonne, France in 2013.
Additional enhancements and migration to Moodle 3.x were sponsored by Xi’an Jiaotong-Liverpool University (XJTLU), China in 2016.

Screenshots

Screenshot #0
Screenshot #1
Screenshot #2

Contributors

Picture of Guillaume Allègre
Guillaume Allègre (Lead maintainer)
Please login to view contributors details and/or to contact them

Comments RSS

Show comments
  • Picture of Plugins bot
    Mon, 26 May 2014, 5:28 AM
    Thanks for sharing this plugin with the Moodle community. Some formal issues were detected and reported by our automated plugin checker tool. Please review all the plugin checker results and fix the issues mentioned, if possible. These changes are typically pretty easy to make but if you have any questions just let us know. For now, I am going to mark this plugin as needing more work. Once you get these formal issues resolved, please use the link “Schedule this plugin for re-approval” so that the plugin code can be fully reviewed and approved by my human colleagues.
  • Picture of Guillaume Allègre
    Wed, 4 Jun 2014, 5:46 AM
    I've just added a tracker url, and two snapshots as required. Thanks for your evaluation.
  • Picture of David Mudrák
    Thu, 5 Jun 2014, 4:11 PM
    Hi Guillaume. Thanks for fixing the plugin record as suggested. I am going to approve your work now. I am sure many people will
    find your tool very useful. However, there are couple of areas where I believe your plugin could be improved yet.

    Please note, in order to facilitate further development and contributions to your plugin, PHP comments should really be in English.

    Please avoid putting PHP closing tags ?> into your files. They are known to cause troubles.

    The string concatenation operator (.) is not supported by our plugins localisation tool (AMOS). Your plugin can't be localised there
    unless you fix the syntax there. Please stick to plain $string['id'] = 'Value'; format. Also note, plugins are supposed to ship with
    the English strings only. All localisation happens via AMOS.

    I found that you plugin does not check for permissions (capabilities). As a consequence, any logged-in course participant can spam
    all others if they type the correct URL into their browser manually. Please make sure that your code checks for the
    http://docs.moodle.org/23/en/Capabilities/moodle/course:manageactivities capability before allowing the user to send the message.

    Similarly, the way you get the list of recipients of the message should be improved. Instead of relying on the 'student' role
    assigned in your resourcenotif_get_users_from_course(), you should check the http://docs.moodle.org/dev/Enrolment_API and pick an
    appropriate function from there - such as get_enrolled_users().

    I noticed that the recommended boilerplate was not used in the version.php file. The boilerplate is recommended at the beginning of
    each file and makes explicit the GPL license. You may want to review http://docs.moodle.org/dev/Coding_style#Files to learn more
    about the boilerplate comments.

    As your plugin relies on a patch applied to Moodle core, we have to put it into the appropriate category here in the plugins
    directory (to make sure folks are aware of the special attention needed during the installation).

    I am sure you would consider this feedback in future versions of the plugin. Said that, you are cleared to land. Runway free -
    welcome to the Plugins directory!
  • Picture of Daniel Longstaff
    Tue, 12 May 2015, 1:48 PM
    Hi Guillaume, I was just wanting to enquire if this plugin will be updated to suit Moodle 2.8? If so, when would this be likely to occur?
  • Picture of Guillaume Allègre
    Wed, 12 Oct 2016, 5:18 AM
    Thanks to Xi’an Jiaotong-Liverpool University (XJTLU), there is now a new version available for Moodle 3.0 and 3.1. Please refer to the release notes for full details : https://moodle.org/plugins/pluginversion.php?id=12387
  • Picture of Gyula Papp
    Thu, 27 Oct 2016, 5:18 AM
    I trying install this plugin. Unpack code the moodle/local folder and visiting '/admin/index.php' . Nothing happens. What's the trick? The folder name or something else?
Please login to post comments